Bug 259232 - emulators/fmsx: duplicate symbol
Summary: emulators/fmsx: duplicate symbol
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-17 18:20 UTC by Stéphane D'Alu
Modified: 2021-10-24 16:47 UTC (History)
1 user (show)

See Also:


Attachments
poudriere log (5.50 KB, application/gzip)
2021-10-17 18:20 UTC, Stéphane D'Alu
no flags Details
Patch to the ports tree (1.28 KB, patch)
2021-10-22 11:10 UTC, Fernando Apesteguía
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stéphane D'Alu 2021-10-17 18:20:56 UTC
Created attachment 228784 [details]
poudriere log

Build of fmsx fails on FreeBSD 13 due to duplicate symbols.

Full poudriere log in attachement
Comment 1 Fernando Apesteguía freebsd_committer 2021-10-20 07:00:27 UTC
(In reply to Stéphane D'Alu from comment #0)
Hi Stéphane,
I can not fetch the distribution. Can you?

=======================<phase: fetch          >============================
===>   NOTICE:

The fmsx port currently does not have a maintainer. As a result, it is
more likely to have unresolved issues, not be up-to-date, or even be removed in
the future. To volunteer to maintain this port, please create an issue at:

https://bugs.freebsd.org/bugzilla

More information about port maintainership is available at:

https://docs.freebsd.org/en/articles/contributing/#ports-contributing

===>   fmsx-5.4 depends on file: /usr/local/sbin/pkg - found
=> fMSX54.zip doesn't seem to exist in /portdistfiles/fmsx5.
=> Attempting to fetch http://fms.komkon.org/fMSX/fMSX54.zip
fetch: http://fms.komkon.org/fMSX/fMSX54.zip: Not Found
=> Attempting to fetch http://distcache.FreeBSD.org/ports-distfiles/fmsx5/fMSX54.zip
fetch: http://distcache.FreeBSD.org/ports-distfiles/fmsx5/fMSX54.zip: Not Found
=> Couldn't fetch it - please try to retrieve this
=> port manually into /portdistfiles/fmsx5 and try again.
*** Error code 1

Stop.
Comment 2 Stéphane D'Alu 2021-10-20 13:10:52 UTC
Effectively it's not available anymore (source was already in my distfile).

But it look like version 6.0 has been released.
https://fms.komkon.org/fMSX/fMSX60.zip

Don't know how hard it is to move from 5.4 to 6.0
Comment 3 Fernando Apesteguía freebsd_committer 2021-10-22 11:10:02 UTC
Created attachment 228943 [details]
Patch to the ports tree

This patch updates emulators/fmsx to 6.0

It builds in 12.2{amd64,i386}, 13.0amd64 and -current-amd64
It also boots fine in 13.0amd64 but I don't have any ROMs.

Would you give it a try?
Comment 4 Stéphane D'Alu 2021-10-24 09:53:38 UTC
It's working, thanks!
Comment 5 commit-hook freebsd_committer 2021-10-24 16:46:47 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=3f4f744d77a9ea9238e7a0050dd78c4871d30dd8

commit 3f4f744d77a9ea9238e7a0050dd78c4871d30dd8
Author:     Fernando Apesteguía <fernape@FreeBSD.org>
AuthorDate: 2021-10-22 10:19:36 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2021-10-24 16:41:17 +0000

    emulators/fmsx: update to 6.0

    ChangeLog: https://fms.komkon.org/fMSX/fMSX.html

    PR:     259232
    Reported by:    Stéphane D'Alu <sdalu@sdalu.com>
    Reviewed by:    Stéphane D'Alu <sdalu@sdalu.com>

 emulators/fmsx/Makefile | 4 +++-
 emulators/fmsx/distinfo | 6 +++---
 2 files changed, 6 insertions(+), 4 deletions(-)
Comment 6 Fernando Apesteguía freebsd_committer 2021-10-24 16:47:20 UTC
Committed,

Thanks for reporting and testing!